# $Revision: 1.23 $, $Date: 2009/06/10 11:58:27 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	765 FDC library
Summary(pl.UTF-8):	Biblioteka FDC 765
Name:		lib765
Version:	0.4.2
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	http://www.seasip.demon.co.uk/Unix/LibDsk/%{name}-%{version}.tar.gz
# Source0-md5:	19000de2a388ea29d11b20023346aa0e
URL:		http://www.seasip.demon.co.uk/Unix/LibDsk/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libdsk-devel
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
"765" is an emulation of the uPD765a (AKA Intel 8272) Floppy Disc
Controller [FDC] as used in Amstrad computers such as the PCW, CPC and
Spectrum +3. At present it is not a "full" 765; features not used in
the PCW BIOS (such as: DMA; multisector reads/writes; multitrack mode)
are either left unimplemented or incomplete.

"765" is released under the GNU Library GPL.

%description -l pl.UTF-8
"765" jest emulacją kontrolera dysków elastycznych uPD765a (znanego
też jako Intel 8272) używanego w komputerach Amstrada, takich jak PCW,
CPC czy Spectrum +3. Na razie nie jest to "pełne" 765; właściwości
nieużywane w BIOS-ie PCW (takie jak: DMA; odczyt/zapis wielu sektorów;
tryb wielościeżkowy) są albo niezaimplementowane albo ich emulacja
jest niepełna.

"765" jest wypuszczone ma licencji LGPL.

%package devel
Summary:	765 library - development files
Summary(pl.UTF-8):	Pliki programistyczne biblioteki 765
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libdsk-devel

%description devel
The lib765-devel package contains the header files and documentation
needed to develop applications with lib765.

%description devel -l pl.UTF-8
Pakiet lib765-devel zawiera pliki nagłówkowe i dokumentację potrzebne
do kompilowania aplikacji korzystających z lib765.

%package static
Summary:	765 static library
Summary(pl.UTF-8):	Statyczna biblioteka lib765
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains the static lib765 library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki lib765.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) %{_libdir}/lib765.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/lib765.so.3

%files devel
%defattr(644,root,root,755)
%doc doc/765.txt
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib765.la
%{_includedir}/*.h

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: lib765.spec,v $
Revision 1.23  2009/06/10 11:58:27  amateja
- updated to 0.4.2

Revision 1.22  2007/08/12 00:54:15  qboosh
- updated to 0.4.1

Revision 1.21  2007/04/18 09:45:19  qboosh
- updated to 0.4.0

Revision 1.20  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.19  2007/02/12 00:49:01  baggins
- converted to UTF-8

Revision 1.18  2006/04/06 20:46:27  qboosh
- updated to 0.3.4

Revision 1.17  2005/06/17 21:10:45  twittner
- cosmetics

Revision 1.16  2005/06/15 21:14:59  witekfl
- added header "Conditional build:"

Revision 1.15  2005/06/15 17:30:50  witekfl
- s/bcond_without static/bcond_without static_libs/

Revision 1.14  2005/06/14 19:33:48  witekfl
- renamed static_libs -> static

Revision 1.13  2005/06/14 16:20:48  witekfl
- added bcond_without static libs

Revision 1.12  2005/02/06 01:02:17  qboosh
- ...but soname has changed

Revision 1.11  2005/02/06 01:01:03  qboosh
- updated to 0.3.3 (bugfixes)

Revision 1.10  2004/08/20 14:00:28  havner
- rel 5

Revision 1.9  2004/08/17 23:26:15  havner
- rel 4

Revision 1.8  2004/08/09 22:47:45  havner
- rel 3

Revision 1.7  2004/02/17 21:45:16  qboosh
- strict deps, -devel deps, release 2 (rebuild with libdsk 1.1.1)

Revision 1.6  2003/08/18 08:08:16  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.5  2003/08/14 09:32:07  qboosh
- updated to 0.3.1.1

Revision 1.4  2003/05/28 12:59:26  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 05:49:44  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/03/25 23:37:49  qboosh
- BR: libtool

Revision 1.1  2003/03/24 06:31:54  juandon
- initial release
